import { ExtractColor, ImageColor } from "@/generated/prisma";

export default function EditImageColors({ extractColors, colors }: { extractColors: ExtractColor[], colors: ImageColor[] }) {
  return (
    <>
      <h2 className="font-semibold text-lg mb-2">Extracted Colors</h2>
      <div className="flex flex-wrap gap-2">
        {extractColors.map((color, index) => (
          <div key={index} className="w-10 h-10 rounded" style={{ backgroundColor: color.hex }} title={color.hex}></div>
        ))}
      </div>
      <h2 className="font-semibold text-lg mb-2">Image Colors</h2>
      <div className="flex flex-wrap gap-2">
        {colors.map((color, index) => (
          <div key={index} className="w-10 h-10 rounded" style={{ backgroundColor: color.hex ?? "#000000" }} title={`Tone ${color.type} - ${color.hex}`}></div>
        ))}
      </div>
    </>
  );
}