import { ColorPalette, ColorPaletteItem } from "@/generated/prisma";

type PaletteWithItems = ColorPalette & {
  items: ColorPaletteItem[];
};

export default function EditImagePalettes({ palettes }: { palettes: PaletteWithItems[] }) {
  // console.log(JSON.stringify(palettes, null, 4));
  return (
    <>
      <h2 className="font-semibold text-lg mb-2">Palettes</h2>
      <div className="space-y-4">
        {palettes.map((palette) => (
          <div key={palette.id}>
            <div className="text-sm font-medium mb-1">{palette.type}</div>
            <div className="flex gap-1">
              {palette.items
                .filter((item) => item.tone !== null && item.hex !== null)
                .sort((a, b) => (a.tone ?? 0) - (b.tone ?? 0))
                .map((item) => (
                  <div
                    key={item.id}
                    className="w-6 h-6 rounded"
                    style={{ backgroundColor: item.hex ?? "#000000" }}
                    title={`Tone ${item.tone} - ${item.hex}`}
                  />
                ))}
            </div>
          </div>
        ))}
      </div>
    </>
  );
}